Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.DateFormat

    java.lang.Object
      java.lang.Enum<Qt.DateFormat>
          com.trolltech.qt.core.Qt.DateFormat

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.DateFormat>

Enclosing interface:
  Qt

    public static enum Qt.DateFormat

extends java.lang.Enum<Qt.DateFormat>
implements QtEnumerator

Press link for info on Qt.DateFormat

Enum Constant Summary
`ISODate` ISO 8601 extended format (YYYY-MM-DD, or with time, YYYY-MM-DDTHH:MM:SS).
`LocaleDate` The format used by the default application locale.
`SystemLocaleDate` The format used by the operating system.
`TextDate` The default Qt format.

Method Summary
`static Qt.DateFormat` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.DateFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.DateFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TextDate

    public static final Qt.DateFormat TextDate

  The default Qt format.

### ISODate

    public static final Qt.DateFormat ISODate

  ISO 8601 extended format (YYYY-MM-DD, or with time, YYYY-MM-DDTHH:MM:SS).

### SystemLocaleDate

    public static final Qt.DateFormat SystemLocaleDate

  The format used by the operating system.

### LocaleDate

    public static final Qt.DateFormat LocaleDate

  The format used by the default application locale. This is the locale set with QLocale::setDefault(), or the operating system locale if no default locale has been set.

Method Detail

### values

    public static final Qt.DateFormat[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.DateFormat c : Qt.DateFormat.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.DateFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.DateFormat resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD